<template>
  <input v-model="url" style="width: 40rem; font-size: 1rem;" /> <br />
  <button @click="getData" style="font-size: 1rem;">Fetch</button>
    <ul>
      <li v-for="p in data">{{ p.name }} : <a :href="p.web_url">{{ p.web_url }}</a></li>
    </ul>
</template>

<script setup>
const data = ref()
const getData = async () => {
  data.value = await $fetch(url.value)
}
const url = ref('https://forge.apps.education.fr/api/v4/projects?order_by=updated_at&sort=desc')
</script>